<!DOCTYPE html>

<?php 
	session_start();
	@ob_start();
	include "../../config/koneksi.php";
	include "../../config/fungsi_rupiah.php";
	include "../../config/fungsi_indotgl.php";
	include "../head.php";

	
	if ($_SESSION['nama'] == ''){
		header('Location:index.php');
	}
	else{
?>
<html>

  <body class="hold-transition skin-blue sidebar-mini layout-boxed">
    <div class="wrapper">
		<?php include "../header.php";?>
      
		<?php include "../menu.php";?>
      

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Validasi Pembayaran Customer
            <small>Data Penjualan CS</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="data.php">Transaksi</a></li>
            <li class="active"><a href="data.php"><u>Penjualan CS</u></a></li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12">
              
              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">List PENJUALAN CS
				  <?php
						$bankid = $_GET['bank'];
						if ($bankid==""){
								$bankid ="0"; 
								$bankname="ALL";
								$banksearch = "";
						}else{
							$bankname=mysql_result(mysql_query("select bank from bank where id = $bankid"),0);
							$banksearch = " where bank = $bankid  ";
						}
						echo"($bankname)";
				  ?>
				  </h3><br><br>
				 <table>
						<tr>
							<td>
									<form method=POST action='aksisales.php?module=sales&act=filter'>
									<div class='input-group'>
										Filter Bank 
										<select name="bank" class="form-control">
										
											<?php
												echo"<option value = '$bankid'>$bankname</option>";
												$cek = mysql_query("Select * from bank order by bank asc");
												while ($r=mysql_fetch_array($cek)){	
													$cat1 = $r['id'];
													$cat2 = $r['bank'];
													echo"<option value = '$cat1'>$cat2</option>";
												}
											?>
										</select>
									</div>
									<div class='input-group'>
										<button type='submit' class="form-control"> GO </button>
									</div>
									</form>
							</td>
				<table>
				  
                </div><!-- /.box-header -->
                <div class="box-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
						<th>Valid Fin</th>
						<th>Valid WH</th>
                        <th>No Ord</th>
                        <th>Date / Customer</th>
                        <th>Total (Rp)</th>
						<th>Bank</th>
						<th>St</th>
                      </tr>
                    </thead>
                    <tbody>
					<?php
						$user = $_SESSION['nama'];
						$idm = $_SESSION['idm'];
						
						$valida1 = mysql_result(mysql_query("select xprint from admindetail where user = $idm and modul = 18"),0);
						$valida2 = mysql_result(mysql_query("select xvalid from admindetail where user = $idm and modul = 18"),0);
						
						$cek = mysql_query("Select * from jualcs $banksearch order by billno desc");
						while ($r=mysql_fetch_array($cek)){	
							$ord = $r['billno'];
							$tgl = tgl_ind($r['billdate']);

							$noord = str_pad($ord, 4, "0", STR_PAD_LEFT);
							
							

							$supp = mysql_result(mysql_query("select nama from customer where id = $r[cust]"),0);
							$kurir = mysql_result(mysql_query("select kurir from kurir where id = $r[kurir]"),0);
							$bank = mysql_result(mysql_query("select bank from bank where id = $r[bank]"),0);
							$tot0 = mysql_result(mysql_query("select sum(qty * harga) from jualcsdetail where billno = $ord"),0);
							$tot = format_rupiah($tot0);
							$ongkir = format_rupiah($r['ongkir']);
							$total = format_rupiah($tot0 + $r['ongkir']);
							$tot2 = "$total <br> ( $tot + $kurir $ongkir )";
							
							if($r['status'] == 'D'){
								$warna = "class='label label-danger'";
							}else{
								$warna = "class='label label-success'";
							}
							
							if($r['status'] == 'V'){
								$valid = "<span class='fa fa-thumbs-o-up'></span>";
							}else{
								$valid = "";
							}
							
							
							if($r['kirim'] == 'Y'){
								$statuskirim = "<span class='fa fa-truck'> </span>&nbsp; &nbsp; Barang sudah dikirim";
							}else{
								$statuskirim = "";
							}
							
							if($r['bayar'] == 'Y'){
								$statusbayar = "<span class='fa fa-money'> </span>&nbsp; &nbsp; Pembayaran sudah diterima";
								$status2 = "<h4><i class='fa  fa-check text-success'></i></h4> Selesai";	
								$tombol = "";
							}else{
								$statusbayar = "";
								$status2 = "<h4><i class='fa  fa-close text-danger'></i></h4> Belum";
								if($valida1 == "Y"){
									$tombol = "<a href='aksisales.php?module=sales&act=validasibyr&id=$ord' class='btn btn-success'> VALID FIN</a>";
								}else{
									$tombol = "";
								}
							}
							
							if($r['bayar2'] == 'Y'){
								$statusbayar2 = "<span class='fa fa-money'> </span>&nbsp; &nbsp; Pembayaran sudah diterima";
								$status22 = "<h4><i class='fa  fa-check text-success'></i></h4> Selesai";	
								$tombol2 = "";
							}else{
								$statusbayar2 = "";
								$status22 = "<h4><i class='fa  fa-close text-danger'></i></h4> Belum";
								if($valida2 == "Y"){
									$tombol2 = "<a href='aksisales.php?module=sales&act=validasibyrwh&id=$ord' class='btn btn-success'> VALID WH</a>";
								}else{
									$tombol2 = "";
								}
							}
							
							echo "<tr>
									<td>$status2</td>
									<td>$status22</td>
									<td><a href='view.php?id=$ord'><span $warna><span class='fa fa-eye'> </span></span>&nbsp;&nbsp;$noord  <br>$r[web] </a><br>$statusbayar <br> $statuskirim</td>
									
									<td>$tgl<br>  $supp</td>
									<td>$tot2</td>
									<td>$bank <br> $r[bankket]</td>
									<td>
										$tombol<br>
										$tombol2
									</td>
								  </tr>";
						}
					?>
                        
                     
                    </tbody>
                    <tfoot>
                      <tr>
                        <th>Valid Fin</th>
						<th>Valid WH</th>
                        <th>No Ord</th>
                        <th>Date / Customer</th>
                        <th>Total (Rp)</th>
						<th>Bank</th>
						<th>St</th>
                      </tr>
                    </tfoot>
                  </table>
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </section><!-- /.content -->
		
		<!-- Modal form-->
                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                  <div class="modal-dialog ">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" id="myModalLabel"></h4>
                      </div>
                      <div class="modal-body" id="modal-bodyku">
                      </div>
                      <div class="modal-footer" id="modal-footerq">
                      </div>
                    </div>
                  </div>
                </div>
                <!-- end of modal ------------------------------>
		
		
      </div><!-- /.content-wrapper -->
		<?php include "../footer.php";?>
		

      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">

        <!-- Tab panes -->
        <div class="tab-content">
          <!-- Home tab content -->
          <div class="tab-pane" id="control-sidebar-home-tab">

          </div><!-- /.tab-pane -->

        </div>
      </aside><!-- /.control-sidebar -->
      <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
      <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->
	
	<script language="javascript">
	 function open_container(id)
	 {
	 var size='standart';
	 var content = '<form role="form" method=POST action="aksisales.php?module=sales&act=validasibyr&id='+id+'" ><div class="form-group"><label for="exampleInputFile">Yakin Validasi Pembayaran untuk Nota '+id+'</label></div><button type="submit" class="btn btn-default">Submit</button></form>';
	 var title = 'Validasi Penerimaan Pembayaran';
	 var footer = '<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>';
	 setModalBox(title,content,footer,size);
	 $('#myModal').modal('show');
	 }
	 function setModalBox(title,content,footer,$size)
	 {
	 document.getElementById('modal-bodyku').innerHTML=content;
	 document.getElementById('myModalLabel').innerHTML=title;
	 document.getElementById('modal-footerq').innerHTML=footer;
	 if($size == 'large')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-lg')
		  .attr('aria-labelledby','myLargeModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-lg');
	 }
	 if($size == 'standart')
	 {
	 $('#myModal').attr('class', 'modal fade')
		  .attr('aria-labelledby','myModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog');
	 }
	 if($size == 'small')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-sm')
		  .attr('aria-labelledby','mySmallModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-sm');
	 }
	 }
	 
	 
	 
	 function open_container2(id)
	 {
	 var size='standart';
	 var content = '<form role="form" method=POST action="aksisales.php?module=sales&act=validasikrm&id='+id+'" ><div class="form-group"><label for="exampleInputFile">Yakin Validasi Pengiriman untuk Nota '+id+'</label></div><button type="submit" class="btn btn-default">Submit</button></form>';
	 var title = 'Validasi Barang Dikirim';
	 var footer = '<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>';
	 setModalBox(title,content,footer,size);
	 $('#myModal').modal('show');
	 }
	 function setModalBox(title,content,footer,$size)
	 {
	 document.getElementById('modal-bodyku').innerHTML=content;
	 document.getElementById('myModalLabel').innerHTML=title;
	 document.getElementById('modal-footerq').innerHTML=footer;
	 if($size == 'large')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-lg')
		  .attr('aria-labelledby','myLargeModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-lg');
	 }
	 if($size == 'standart')
	 {
	 $('#myModal').attr('class', 'modal fade')
		  .attr('aria-labelledby','myModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog');
	 }
	 if($size == 'small')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-sm')
		  .attr('aria-labelledby','mySmallModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-sm');
	 }
	 }
 </script>

    <!-- jQuery 2.1.4 -->
    <script src="../../plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="../../bootstrap/js/bootstrap.min.js"></script>
    <!-- DataTables -->
    <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../../plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- SlimScroll -->
    <script src="../../plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="../../plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="../../dist/js/app.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="../../dist/js/demo.js"></script>
    <!-- page script -->
    <script>
      $(function () {
        $("#example2").DataTable();
        $('#example1').DataTable({
          "paging": false,
          "lengthChange": true,
          "searching": true,
          "ordering": true,
		  "order": [[ 0, "desc" ]],
          "info": true,
          "autoWidth": false
        });
      });
    </script>
	
  </body>
</html>
<?php 
	}
?>